Subject: Re: [RFC: 2.6 patch] the overdue removal of ip{,6}_queue

From: Patrick McHardy <[email-masked]>
Date: Wed, 12 Apr 2006 20:14:13 +0200

Harald Welte wrote:
> On Tue, Apr 11, 2006 at 04:42:50PM +0200, Patrick McHardy wrote:
> 
>>I think we need to do two things:
>>
>>- make libipq_compat a drop-in replacement that doesn't require
>>  recompilation
> 
> 
> libipq is not distributed as a shared library (at least not by us), so I
> don't see any purpose for doing so.  Do you think anyone is going to
> re-link statically linked code against the new lib

I wasn't aware of that. That makes it even worse, old applications
will break and we can't do anything about it. I think this is
normally considered not acceptable.